close all
clear
clc;
set(0,'DefaultAxesFontSize',20);

rad=readRadiance('./ocsimOutput/radiance.txt');

chl=[0.01 0.1 1.0 10 100];
tsm=[0.01; 0.1; 1.0; 10; 100; 500];
nchl=length(chl);
ntsm=length(tsm);
for i=1:nchl*ntsm
    rad_r_toa(i)=rad(1,i).radiance(1,3);
    rad_g_toa(i)=rad(1,i).radiance(1,2);
    rad_b_toa(i)=rad(1,i).radiance(1,1);
end

imgtoa(1:ntsm,1:nchl,1)=reshape(rad_r_toa,[ntsm nchl]);
imgtoa(1:ntsm,1:nchl,2)=reshape(rad_g_toa,[ntsm nchl]);
imgtoa(1:ntsm,1:nchl,3)=reshape(rad_b_toa,[ntsm nchl]);

fac=170/max(max(max(imgtoa)));
imgtoa=imgtoa*fac;
    
FigHandle = figure('Position', [100, 100, 600, 600]);
imagesc(imgtoa./255);
set(gca,'XAxisLocation','top','YAxisLocation','left','ydir','reverse');
set(gca,'XTick',1:nchl)
set(gca,'XTickLabel',chl);
set(gca,'YTick',1:ntsm)
set(gca,'YTickLabel',tsm);
xlabel('CHL [mg \cdot m^{-3}]');
ylabel('TSM  [g \cdot m^{-3}]');
    